package org.springframework.webfluxbasepathmutate;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.server.ServerWebExchange;
import reactor.core.publisher.Mono;

@RestController
public class HelloController {

    @GetMapping("/hello")
    public Mono<String> hello(ServerWebExchange exchange) {
        final var headers = exchange.getRequest().getHeaders();
        final var injectedHeaderValue = headers.getFirst("X-Injected-Header");
        return Mono.just("Header was injected: " + injectedHeaderValue);
    }
}
